com.amazonaws.services.elastictranscoder.model

## Class CreatePresetResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.elastictranscoder.model.CreatePresetResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class CreatePresetResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

The `CreatePresetResponse` structure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CreatePresetResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreatePresetResult` `clone()`
`boolean` `equals(Object obj)`
`Preset` `getPreset()` A section of the response body that provides information about the preset that is created.
`String` `getWarning()` If the preset settings don't comply with the standards for the video codec but Elastic Transcoder created the preset, this message explains the reason the preset settings don't meet the standard.
`int` `hashCode()`
`void` `setPreset(Preset preset)` A section of the response body that provides information about the preset that is created.
`void` `setWarning(String warning)` If the preset settings don't comply with the standards for the video codec but Elastic Transcoder created the preset, this message explains the reason the preset settings don't meet the standard.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreatePresetResult` `withPreset(Preset preset)` A section of the response body that provides information about the preset that is created.
`CreatePresetResult` `withWarning(String warning)` If the preset settings don't comply with the standards for the video codec but Elastic Transcoder created the preset, this message explains the reason the preset settings don't meet the standard.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreatePresetResult

    public CreatePresetResult()

### Method Detail

#### setPreset

    public void setPreset(Preset preset)

A section of the response body that provides information about the preset that is created.

Parameters:
  `preset` - A section of the response body that provides information about the preset that is created.

#### getPreset

    public Preset getPreset()

A section of the response body that provides information about the preset that is created.

Returns:
  A section of the response body that provides information about the preset that is created.

#### withPreset

    public CreatePresetResult withPreset(Preset preset)

A section of the response body that provides information about the preset that is created.

Parameters:
  `preset` - A section of the response body that provides information about the preset that is created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWarning

    public void setWarning(String warning)

If the preset settings don't comply with the standards for the video codec but Elastic Transcoder created the preset, this message explains the reason the preset settings don't meet the standard. Elastic Transcoder created the preset because the settings might produce acceptable output.

Parameters:
  `warning` - If the preset settings don't comply with the standards for the video codec but Elastic Transcoder created the preset, this message explains the reason the preset settings don't meet the standard. Elastic Transcoder created the preset because the settings might produce acceptable output.

#### getWarning

    public String getWarning()

If the preset settings don't comply with the standards for the video codec but Elastic Transcoder created the preset, this message explains the reason the preset settings don't meet the standard. Elastic Transcoder created the preset because the settings might produce acceptable output.

Returns:
  If the preset settings don't comply with the standards for the video codec but Elastic Transcoder created the preset, this message explains the reason the preset settings don't meet the standard. Elastic Transcoder created the preset because the settings might produce acceptable output.

#### withWarning

    public CreatePresetResult withWarning(String warning)

If the preset settings don't comply with the standards for the video codec but Elastic Transcoder created the preset, this message explains the reason the preset settings don't meet the standard. Elastic Transcoder created the preset because the settings might produce acceptable output.

Parameters:
  `warning` - If the preset settings don't comply with the standards for the video codec but Elastic Transcoder created the preset, this message explains the reason the preset settings don't meet the standard. Elastic Transcoder created the preset because the settings might produce acceptable output.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreatePresetResult clone()

Overrides:
  `clone` in class `Object`